
Generates all static Pod manifest files necessary to establish the control plane

### Synopsis

Generates all static Pod manifest files necessary to establish the control plane. 

Alpha Disclaimer: this command is currently alpha.

```
kubeadm alpha phase controlplane all [flags]
```

### Examples

```
  # Generates all static Pod manifest files for control plane components,
  # functionally equivalent to what generated by kubeadm init.
  kubeadm alpha phase controlplane all
  
  # Generates all static Pod manifest files using options read from a configuration file.
  kubeadm alpha phase controlplane --config masterconfiguration.yaml
```

### Options

```
      --apiserver-advertise-address string              The IP address of the API server is accessible on
      --apiserver-bind-port int32                       The port the API server is accessible on (default 6443)
      --apiserver-extra-args mapStringString            A set of extra flags to pass to the API Server or override default ones in form of <flagname>=<value>
      --cert-dir string                                 The path where certificates are stored (default "/etc/kubernetes/pki")
      --config string                                   Path to kubeadm config file (WARNING: Usage of a configuration file is experimental)
      --controller-manager-extra-args mapStringString   A set of extra flags to pass to the Controller Manager or override default ones in form of <flagname>=<value>
      --feature-gates string                            A set of key=value pairs that describe feature gates for various features. Options are:
Auditing=true|false (ALPHA - default=false)
CoreDNS=true|false (BETA - default=false)
DynamicKubeletConfig=true|false (ALPHA - default=false)
SelfHosting=true|false (ALPHA - default=false)
StoreCertsInSecrets=true|false (ALPHA - default=false)
  -h, --help                                            help for all
      --kubernetes-version string                       Choose a specific Kubernetes version for the control plane (default "stable-1.10")
      --pod-network-cidr string                         The range of IP addresses used for the Pod network
      --scheduler-extra-args mapStringString            A set of extra flags to pass to the Scheduler or override default ones in form of <flagname>=<value>
      --service-cidr string                             The range of IP address used for service VIPs (default "10.96.0.0/12")
```

